unit uedit;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ComCtrls,
  StdCtrls, ExtCtrls, Buttons;

type

  { TForm2 }

  TForm2 = class(TForm)
    OkBtn: TButton;
    CancelBtn: TButton;
    HelpBtn: TButton;
    HasRegel: TCheckBox;
    Medizin: TLabeledEdit;
    Dosis: TLabeledEdit;
    Pages: TPageControl;
    Panel1: TPanel;
    Staerke: TRadioGroup;
    Schmerz: TRadioGroup;
    Tab1: TTabSheet;
    Tab2: TTabSheet;
    Tab3: TTabSheet;
    procedure CancelBtnClick(Sender: TObject);
    procedure OkBtnClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
    Status: integer; // Abbruch oder Ok
  end; 

var
  Form2: TForm2; 

implementation

{$R *.lfm}

{ TForm2 }

procedure TForm2.OkBtnClick(Sender: TObject);
  procedure CloseWithOk;
  // Status auf ok und Dialog schliessen
  begin
    Status := mrOk;
    Close;
  end;
begin
  case Pages.ActivePageIndex of
    0: begin
      // Wenn keine Regel, dann sind die weiteren Eingaben uninteressant
      if not HasRegel.Checked then begin
        CloseWithOk;
      // Sonst zur nächste Seite schalten
      end else Pages.SelectNextPage(true);
    end;
    1: begin
      // Zur nächste Seite schalten
      Pages.SelectNextPage(true);
    end;
    2: begin
      CloseWithOk;
    end;
  end;
end;

procedure TForm2.CancelBtnClick(Sender: TObject);
begin
  // Status auf Abbruch (Form wird automatisch geschlossen)
  Status :=  mrCancel;
end;

end.

